package com.om.controller.admin;


import com.om.entity.dto.DiaLogQueryPageDTO;
import com.om.entity.po.DiagnosticLog;
import com.om.entity.vo.DiaLogQueryPageVO;
import com.om.entity.vo.DistributorQueryPageVO;
import com.om.service.IDiagnosticLogService;
import com.om.utils.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author bmmx
 * @since 2024-02-27
 */
@RestController
@Api(tags = "诊断日志相关接口")
@RequestMapping("/web/diagnostic-log")
public class DiagnosticLogController {

    @Resource
    private IDiagnosticLogService diagnosticLogService;

    @ApiOperation("分页查询")
    @PostMapping("getPageList")
    public Result<DiaLogQueryPageVO> getPageList(@RequestBody DiaLogQueryPageDTO dto){
        return diagnosticLogService.getPageList(dto);
    }

    @ApiOperation("下载本页全部文件")
    @PostMapping("/batch-download")
    public Result batchDownload(){

        return diagnosticLogService.batchDownload();
    }

    @ApiOperation("下载单个文件")
    @PostMapping("/downloadFile")
    public Result downloadFile(@RequestBody DiagnosticLog diagnosticLog){

        return diagnosticLogService.downloadFile(diagnosticLog);
    }


}
