package com.om.controller.admin;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.om.entity.po.Manual;
import com.om.service.IManualService;
import com.om.utils.Result;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author henry-ong
 * @since 2024-02-28
 */
@RestController
@RequestMapping("/manual")
public class ManualController {
  private final IManualService manualService;
  @Autowired
  public ManualController(IManualService manualService) {
    this.manualService = manualService;
  }

  @ApiOperation("新增使用手册接口")
  @PostMapping("/save")
  public Result<Object> save(@RequestBody Manual manual) {
    return Result.succ(manualService.save(manual));
  }

  @ApiOperation("编辑使用手册接口")
  @PostMapping("/edit")
  public Result<Object> edit(@RequestBody Manual manual) {
    return Result.succ(manualService.saveOrUpdate(manual));
  }
  @ApiOperation("根据ID删除单个使用手册接口")
  @DeleteMapping("/delete/{id}")
  public Result<Object> delete(@PathVariable(name = "id") Integer id) {
    return Result.succ(manualService.removeById(id));
  }

  @ApiOperation("分页查询全部使用手册接口")
  @GetMapping("/page")
  public Result<Object> findPage(@RequestParam Integer pageNum,
                         @RequestParam Integer pageSize,
                         @RequestParam(defaultValue = "") String code,
                         @RequestParam(defaultValue = "") String title) {
    return Result.succ(manualService.findManual(new Page<>(pageNum, pageSize), code, title));
  }
}
