package com.om.entity.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

/**
 * <p>
 * 
 * </p>
 *
 * @author henry-ong
 * @since 2024-02-28
 */
@TableName("manual")
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "Manual对象", description = "使用手册对象")
public class Manual implements Serializable {

    private static final long serialVersionUID = 1L;

      @ApiModelProperty("手册id")
      @TableId(value = "id", type = IdType.AUTO)
      private Integer id;

      @ApiModelProperty("标题")
      private String title;

      @ApiModelProperty("语言")
      private String lang;

      @ApiModelProperty("手册文件名")
      @TableField(value="fileName")
      private String fileName;

      @ApiModelProperty("网址")
      private String url;

      @ApiModelProperty("客户端编号")
      @TableField(value="clientCode")
      private String clientCode;

      @ApiModelProperty("创建时间")
      @TableField(value="createTime")
      private LocalDateTime createTime;

      @ApiModelProperty("最近修改时间")
      @TableField(value="updateTime")
      private LocalDateTime updateTime;
}
